# IRdSkinWeightIndexed Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumRecords ([out, retval] RtDWORD *dwNumRecords)
HRESULT | SetNumRecords ([in] RtDWORD dwNumRecords)
## Properties
RtUlong * | index ([in] RtDWORD dwRecord)`[get]`
RtUlong | index ([in] RtDWORD dwRecord)`[set]`
RtFloat * | weight ([in] RtDWORD dwRecord)`[get]`
RtFloat | weight ([in] RtDWORD dwRecord)`[set]`

## Detailed Description

IRdSkinWeightIndexed:

- Specifies skinning data in a stream consisting of RtSkinIndexedWeight elements.
- Each skin weight is stored as vertex index and vertex weight.
- Stream is used if number of weight painted vertices < 1/2 of all mesh vertices.
- Otherwise IRdSkinWeightDirect stream is used for saving memory.

## Member Function Documentation

HRESULT IRdSkinWeightIndexed::GetNumRecords | ( | [out, retval] RtDWORD * | dwNumRecords | ) |

Get number of skinned vertices.

Returns:
  dwNumRecords [out,retval] Returns number of records/vertices found.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdSkinWeightIndexed::SetNumRecords | ( | [in] RtDWORD | dwNumRecords | ) |

Set number of skinned vertices.

Parameters:

  | dwNumRecords | [in] Set number of records/vertices.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtUlong * IRdSkinWeightIndexed::index([in] RtDWORD dwRecord)`[get]`

Get vertex index.

Parameters:

  | dwRecord | [in] Record index.

Returns:
  pdwIndex [out,retval] Returns the Vertex index.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdSkinWeightIndexed::index([in] RtDWORD dwRecord)`[set]`

Set vertex index.

Parameters:

  | dwRecord | [in] Vertex record to set index for.
  | dwIndex | [in] Vertex index to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdSkinWeightIndexed::weight([in] RtDWORD dwRecord)`[get]`

Get weight of i-th record.

Parameters:

  | dwRecord | [in] Vertex Record index value.

Returns:
  pVal [out,retval] Retrived value in record.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdSkinWeightIndexed::weight([in] RtDWORD dwRecord)`[set]`

Set weight of i-th record.

Parameters:

  | dwRecord | [in] Vertex Record index value.
  | newVal | [in] weight to set.

Returns:
  standard HRESULT processing can be applied to returned value.